# NoComprendo

![NoComprendo](icons/nocomprendo-64.png)

## What is this ?

    NoComprendo includes a voice command tool for Linux, dictation features and voice synthesis.

## Features

    Voice recognition of commands.
    Voice recognition in dictation mode.
    Voice synthesis of the last text copied, with five possible languages.
    Record your own voice commands from the microphone.
    Command management in sets that can be enabled or disabled.
    Automatic recording of keyboard shortcuts or manual entry of shortcuts to trigger actions.
    Launch programs or scripts with voice command.
    Check that Linux commands to be launched are executables.
    Mouse control commands.
    Meta-commands for application control.
    Configurable OSD window.
    Full-page commands reminder.
    System tray icon.
    Dictation mode.
    
## Compilation or install

Install for [Mageia](https://invent.kde.org/beroot/nocomprendo/-/wikis/mageia_install).\
Install for [Debian](https://invent.kde.org/beroot/nocomprendo/-/wikis/debian_install) distributions.

Available with French translation.

## Speech recognition

NoComprendo uses [Vosk-api](https://github.com/alphacep/vosk-api) for speech recognition.

## Text to Speech

NoComprendo uses [vosk-pico](https://github.com/jpwhiting/svox-pico) for speech synthesis.

## Configuration files

Examples command sets are here: `/usr/share/nocomprendo/`. One directory for each language model.\
User configuration file is `~/.config/BeRoot/NoComprendo.conf`.\
User command sets are there: `~/.config/BeRoot/NoComprendo/`. One directory for each language model.

## Vosk model directories

System space: `/usr/share/vosk-models/`\
User space: `~/.config/vosk-models`

## Limitations

Dotool simulate keyboard input. This means that it can only output the characters sent by your keyboard.\
For example, the French keyboard layout allows you to write a lowercase `ç` but not the uppercase version `Ç`.\
The character can be known by the system fonts, but not by the keyboard.\
Dotool will fail when trying to write characters that the keyboard layout doesn't know.

I don't think there is a solution to this problem.

## Web site

[NoComprendo](http://be.root.free.fr/?soft=nocomprendo)

## Author

2019-2025 - Written by Bruno ANSELME with Qt.

## License

License: [GPL-3.0-or-later](license-gpl-3.0.txt).

